#!/bin/sh

# ---------------- Change to AutoUpdateAgent Direcotry -------------------------
# Assume we are in the AUA_HOME/bin directory
cd ..
# We are now in AUA_HOME
AUA_HOME=$PWD;
cd ..
OBM_HOME=$PWD;

# -------------------------------- JAVA Setting --------------------------------
# Macintosh JAVA_HOME
case "`uname`" in
  Darwin*) if [ -z "$JAVA_HOME" ] ; then
             JAVA_HOME=/System/Library/Frameworks/JavaVM.framework/Home
           fi
           ;;
esac

# Own JVM exists or use environment JAVA_HOME
if [ -e "$AUA_HOME/jvm" ]
then
  JAVA_HOME=$AUA_HOME/jvm
elif [ -z "$JAVA_HOME" ]
then
    echo "Please set the JAVA_HOME environment to the directory where J2SE JRE 1.4.x is installed !"
    exit 0
fi

# ------------------------------ JAVA VM Setting -------------------------------
if [ ! -e "$JAVA_HOME/bin/AuaObmJW" ]
then
  cp "$JAVA_HOME/bin/java" "$JAVA_HOME/bin/AuaObmJW"
fi

# ---------------------------- JAVA Execution Setting --------------------------
if [ -e "$JAVA_HOME/bin/AuaObmJW" ]
then
  AUA_JVM=$JAVA_HOME/bin/AuaObmJW
else
  AUA_JVM=$JAVA_HOME/bin/java
fi


AUA_CLASSPATH=$AUA_HOME/lib:$AUA_HOME/lib/jdom.jar:$AUA_HOME/lib/log4j.jar:$AUA_HOME/lib/aua.jar:$AUA_HOME/ant/lib/ant.jar:$AUA_HOME/ant/lib/ant-launcher.jar:$AUA_HOME/ant/lib/xercesImpl.jar:$AUA_HOME/ant/lib/xml-apis.jar
AUA_CLASSNAME=auas
AUA_CONFIG_FILE=$AUA_HOME/config.xml

# ------------------------ AUA should be executed at AUA_HOME ----------------------------
cd "$AUA_HOME"

# ------------------------ Execute the JAVA program ----------------------------
# Use JAVA to execute the AutoUpdateAgent Server
"$AUA_JVM" -DOBM_HOME="$OBM_HOME" -Xrs -cp "${AUA_CLASSPATH}" ${AUA_CLASSNAME} "${AUA_CONFIG_FILE}" ${AUA_ACTION} ${TARGET_VERSION}
